module.exports = {
  extends: [
    'airbnb',
    'eslint:recommended',
    'plugin:import/errors',
    'plugin:react/recommended',
    'plugin:jsx-a11y/recommended',
    'plugin:prettier/recommended',
    'plugin:vue/vue3-recommended',
    'plugin:@typescript-eslint/recommended',
    'plugin:@angular-eslint/recommended',
    'prettier/react',
  ],
  env: {
    browser: true,
  },
  ignorePatterns: ['bin', 'node_modules'],
  parser: '@typescript-eslint/parser',
  parserOptions: {
    sourceType: 'module',
    ecmaVersion: 7,
    ecmaFeatures: {
      jsx: true,
      modules: true,
    },
  },
  plugins: ['eslint-plugin-import', '@angular-eslint/eslint-plugin', '@typescript-eslint'],
  rules: {},
};
